services:
  postgres:
    image: postgres:16.10-alpine3.22
    container_name: women_league
    restart: always
    environment:
      POSTGRES_DB: ${dbname}
      POSTGRES_USER: ${user}
      POSTGRES_PASSWORD: ${password}
    volumes:
      - women_league_data:/var/lib/postgresql/data
    ports:
      - "5432:5432"

  # redis:
  #   image: redis:latest
  #   restart: always
  #   ports:
  #     - "6379:6379"

  adminer:
    image: adminer:4.8.1
    restart: always
    ports:
      - 8080:8080

volumes:
  women_league_data:
